---
id: Vfs
name: Vfs
full: Virtual file system library
description: |
  A Virtual File System API, with backends for:
  
  * SQL
  * FTP
  * Local filesystems
  * Hybrid SQL and filesystem
  * Samba
  * SSH2/SFTP
  * MongoDB
  
  Reading, writing and listing of files are all supported.
list: dev
